#ifndef CONFIG_PACKAGE_H
#define CONFIG_PACKAGE_H
#include <string>
#include <fstream>

class config_package
{
public:
  /**
   * @brief config_package
   * Generate a config file, or replace it
   * @param name Name of the package
   */
  config_package(std::string name);
  /**
   * @brief change_uses
   * Write a config file
   * @param remote_uses Info to write in the file
   */
  void change_uses(std::string remote_uses);
private:
  std::string name;
  std::string uses;
  std::fstream file;
};

#endif // CONFIG_PACKAGE_H
